当前时区为 UTC + 8 小时


版面规则


我们都知道新人的确很菜,也喜欢抱怨,并且带有浓厚的Windows习惯,但既然在这里询问,我们就应该有责任帮助他们解决问题,而不是直接泼冷水、简单的否定或发表对解决问题没有任何帮助的帖子。乐于分享,以人为本,这正是Ubuntu的精神所在。


发表新帖 回复这个主题  [ 16 篇帖子 ]  前往页数 1, 2  下一页
作者 内容
1 楼 
 文章标题 : 安装sublime-text出错,ubuntu小白
帖子发表于 : 2017-12-29 1:24 

注册: 2017-12-29 1:12
帖子: 14
系统: linux
送出感谢: 1
接收感谢: 0 次
刚接触ubuntu,很多书都说vim编辑器很好,可是我还用不惯,想在展握vim之前拿sublime凑合着用,于是我就按网上的教程
wuzsh5@wuzsh5-X555UJ:~$ sudo add-apt-repository ppa:webupd8team/sublime-text-3
Sublime Text 3 Installer: the package in this PPA downloads and installs the latest Sublime Text 3 beta builds.

For more info, see: http://www.webupd8.org/2013/07/sublime- ... lable.html
更多信息: https://launchpad.net/~webupd8team/+arc ... ime-text-3
按回车继续或者 Ctrl+c 取消添加

gpg: 钥匙环‘/tmp/tmplyfdisg_/secring.gpg’已建立
gpg: 钥匙环‘/tmp/tmplyfdisg_/pubring.gpg’已建立
gpg: 下载密钥‘EEA14886’,从 hkp 服务器 keyserver.ubuntu.com
gpg: /tmp/tmplyfdisg_/trustdb.gpg:建立了信任度数据库
gpg: 密钥 EEA14886:公钥“Launchpad VLC”已导入
gpg: 没有找到任何绝对信任的密钥
gpg: 合计被处理的数量:1
gpg: 已导入:1 (RSA: 1)
OK

第一步貌似没有问题

wuzsh5@wuzsh5-X555UJ:~$ sudo apt-get update
命中:1 http://mirrors.aliyun.com/ubuntu xenial InRelease
命中:2 http://mirrors.aliyun.com/ubuntu xenial-security InRelease
命中:3 http://mirrors.aliyun.com/ubuntu xenial-updates InRelease
命中:4 http://mirrors.aliyun.com/ubuntu xenial-backports InRelease
命中:5 http://mirrors.aliyun.com/ubuntu xenial-proposed InRelease
命中:6 http://ppa.launchpad.net/atareao/atareao/ubuntu xenial InRelease
命中:7 http://ppa.launchpad.net/diesch/testing/ubuntu xenial InRelease
命中:8 http://ppa.launchpad.net/numix/ppa/ubuntu xenial InRelease
获取:9 http://ppa.launchpad.net/webupd8team/su ... t-3/ubuntu xenial InRelease [17.6 kB]
获取:10 http://ppa.launchpad.net/webupd8team/su ... t-3/ubuntu xenial/main amd64 Packages [532 B]
获取:11 http://ppa.launchpad.net/webupd8team/su ... t-3/ubuntu xenial/main i386 Packages [532 B]
获取:12 http://ppa.launchpad.net/webupd8team/su ... t-3/ubuntu xenial/main Translation-en [276 B]
已下载 18.9 kB,耗时 10秒 (1,736 B/s)
正在读取软件包列表... 完成
N: 鉴于仓库 'http://mirrors.aliyun.com/ubuntu xenial InRelease' 不支持 'x86' 体系结构,跳过配置文件 'main/binary-x86/Packages' 的捕获。
N: 鉴于仓库 'http://mirrors.aliyun.com/ubuntu xenial InRelease' 不支持 'x86' 体系结构,跳过配置文件 'restricted/binary-x86/Packages' 的捕获。
N: 鉴于仓库 'http://mirrors.aliyun.com/ubuntu xenial InRelease' 不支持 'x86' 体系结构,跳过配置文件 'universe/binary-x86/Packages' 的捕获。
N: 鉴于仓库 'http://mirrors.aliyun.com/ubuntu xenial InRelease' 不支持 'x86' 体系结构,跳过配置文件 'multiverse/binary-x86/Packages' 的捕获。
N: 鉴于仓库 'http://mirrors.aliyun.com/ubuntu xenial-security InRelease' 不支持 'x86' 体系结构,跳过配置文件 'main/binary-x86/Packages' 的捕获。
N: 鉴于仓库 'http://mirrors.aliyun.com/ubuntu xenial-security InRelease' 不支持 'x86' 体系结构,跳过配置文件 'restricted/binary-x86/Packages' 的捕获。
N: 鉴于仓库 'http://mirrors.aliyun.com/ubuntu xenial-security InRelease' 不支持 'x86' 体系结构,跳过配置文件 'universe/binary-x86/Packages' 的捕获。
N: 鉴于仓库 'http://mirrors.aliyun.com/ubuntu xenial-security InRelease' 不支持 'x86' 体系结构,跳过配置文件 'multiverse/binary-x86/Packages' 的捕获。
N: 鉴于仓库 'http://mirrors.aliyun.com/ubuntu xenial-updates InRelease' 不支持 'x86' 体系结构,跳过配置文件 'main/binary-x86/Packages' 的捕获。
N: 鉴于仓库 'http://mirrors.aliyun.com/ubuntu xenial-updates InRelease' 不支持 'x86' 体系结构,跳过配置文件 'restricted/binary-x86/Packages' 的捕获。
N: 鉴于仓库 'http://mirrors.aliyun.com/ubuntu xenial-updates InRelease' 不支持 'x86' 体系结构,跳过配置文件 'universe/binary-x86/Packages' 的捕获。
N: 鉴于仓库 'http://mirrors.aliyun.com/ubuntu xenial-updates InRelease' 不支持 'x86' 体系结构,跳过配置文件 'multiverse/binary-x86/Packages' 的捕获。
N: 鉴于仓库 'http://mirrors.aliyun.com/ubuntu xenial-backports InRelease' 不支持 'x86' 体系结构,跳过配置文件 'main/binary-x86/Packages' 的捕获。
N: 鉴于仓库 'http://mirrors.aliyun.com/ubuntu xenial-backports InRelease' 不支持 'x86' 体系结构,跳过配置文件 'restricted/binary-x86/Packages' 的捕获。
N: 鉴于仓库 'http://mirrors.aliyun.com/ubuntu xenial-backports InRelease' 不支持 'x86' 体系结构,跳过配置文件 'universe/binary-x86/Packages' 的捕获。
N: 鉴于仓库 'http://mirrors.aliyun.com/ubuntu xenial-backports InRelease' 不支持 'x86' 体系结构,跳过配置文件 'multiverse/binary-x86/Packages' 的捕获。
N: 鉴于仓库 'http://mirrors.aliyun.com/ubuntu xenial-proposed InRelease' 不支持 'x86' 体系结构,跳过配置文件 'main/binary-x86/Packages' 的捕获。
N: 鉴于仓库 'http://mirrors.aliyun.com/ubuntu xenial-proposed InRelease' 不支持 'x86' 体系结构,跳过配置文件 'restricted/binary-x86/Packages' 的捕获。
N: 鉴于仓库 'http://mirrors.aliyun.com/ubuntu xenial-proposed InRelease' 不支持 'x86' 体系结构,跳过配置文件 'universe/binary-x86/Packages' 的捕获。
N: 鉴于仓库 'http://mirrors.aliyun.com/ubuntu xenial-proposed InRelease' 不支持 'x86' 体系结构,跳过配置文件 'multiverse/binary-x86/Packages' 的捕获。
N: 鉴于仓库 'http://ppa.launchpad.net/atareao/atareao/ubuntu xenial InRelease' 不支持 'x86' 体系结构,跳过配置文件 'main/binary-x86/Packages' 的捕获。
N: 鉴于仓库 'http://ppa.launchpad.net/diesch/testing/ubuntu xenial InRelease' 不支持 'x86' 体系结构,跳过配置文件 'main/binary-x86/Packages' 的捕获。
N: 鉴于仓库 'http://ppa.launchpad.net/numix/ppa/ubuntu xenial InRelease' 不支持 'x86' 体系结构,跳过配置文件 'main/binary-x86/Packages' 的捕获。
N: 鉴于仓库 'http://ppa.launchpad.net/webupd8team/sublime-text-3/ubuntu xenial InRelease' 不支持 'x86' 体系结构,跳过配置文件 'main/binary-x86/Packages' 的捕获。

然后再更新软件源的时候,就出现了这个问题
但我依旧照着指令打


wuzsh5@wuzsh5-X555UJ:~$ sudo apt-get install sublime-text-installer
正在读取软件包列表... 完成
正在分析软件包的依赖关系树
正在读取状态信息... 完成
下列【新】软件包将被安装:
sublime-text-installer
升级了 0 个软件包,新安装了 1 个软件包,要卸载 0 个软件包,有 222 个软件包未被升级。
需要下载 0 B/9,566 B 的归档。
解压缩后会消耗 26.6 kB 的额外空间。
正在预设定软件包 ...
(正在读取数据库 ... 系统当前共安装有 226449 个文件和目录。)
正准备解包 .../sublime-text-installer_3126-2~webupd8~1_all.deb ...
Downloading...
--2017-12-29 00:54:22-- https://download.sublimetext.com/sublim ... 64.tar.bz2
正在解析主机 download.sublimetext.com (download.sublimetext.com)... 104.236.0.104
正在连接 download.sublimetext.com (download.sublimetext.com)|104.236.0.104|:443... 已连接。
无法建立 SSL 连接。
download failed
Download done.
Removing outdated cached downloads...
sha256sum mismatch sublime_text_3_build_3126_x64.tar.bz2
Sublime Text is NOT installed.
dpkg: 处理归档 /var/cache/apt/archives/sublime-text-installer_3126-2~webupd8~1_all.deb (--unpack)时出错:
子进程 新的 pre-installation 脚本 返回错误状态 1
在处理时有错误发生:
/var/cache/apt/archives/sublime-text-installer_3126-2~webupd8~1_all.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)


出现了无法建立SSL链接的问题,在网上找了解决方法,都是说输入--no-check certificate什么的,但我这个不是wegt指令??
很方,被这个问题困惑了很久,希望能得到各位老手们的帮助!!!!!


页首
 用户资料  
 
2 楼 
 文章标题 : Re: 安装sublime-text出错,ubuntu小白
帖子发表于 : 2017-12-29 7:37 
头像

注册: 2007-07-14 20:45
帖子: 1137
送出感谢: 60
接收感谢: 32
引用:
获取:10 http://ppa.launchpad.net/webupd8team/su ... t-3/ubuntu xenial/main amd64 Packages [532 B]
获取:11 http://ppa.launchpad.net/webupd8team/su ... t-3/ubuntu xenial/main i386 Packages [532 B]
获取:12 http://ppa.launchpad.net/webupd8team/su ... t-3/ubuntu xenial/main Translation-en [276 B]
已下载 18.9 kB,耗时 10秒 (1,736 B/s)
正在读取软件包列表... 完成
N: 鉴于仓库 'http://mirrors.aliyun.com/ubuntu xenial InRelease' 不支持 'x86' 体系结构,跳过配置文件 'main/binary-x86/Packages' 的捕获。
N: 鉴于仓库 'http://mirrors.aliyun.com/ubuntu xenial InRelease' 不支持 'x86' 体系结构,跳过配置文件 'restricted/binary-x86/Packages' 的捕获。
N: 鉴于仓库 'http://mirrors.aliyun.com/ubuntu xenial InRelease' 不支持 'x86' 体系结构,跳过配置文件 'universe/binary-x86/Packages' 的捕获。
N: 鉴于仓库 'http://mirrors.aliyun.com/ubuntu xenial InRelease' 不支持 'x86' 体系结构,跳过配置文件 'multiverse/binary-x86/Packages' 的捕获。


看到这里我觉得很疑惑,不知道是你复制错了还是本身的问题?让人无法联系起来。

于是,我就在我的电脑上重新安装了一遍,过程如下:

提要:我的系统版本:ubuntu16.04.3LTS 架构:amd64 源:ubuntu中国官方源

第一步:添加密匙
代码:
sudo add-apt-repository ppa:webupd8team/sublime-text-3


第二步:
代码:
sudo apt-get update


第三步:
代码:
sudo apt-get install sublime-text


这是最后的安装结果
附件:
选区_233.png
选区_233.png [ 1.77 MiB | 被浏览 394 次 ]




如果你那边还是不行,你需要注意两个地方



附件:
406941848.jpg
406941848.jpg [ 140.52 KiB | 被浏览 394 次 ]





一是源,你使用的阿里源,可能有更新不及时的问题。

二是安装命令,你最后多打了一个installer。

三是架构,我的是amd64,你的是不是i386位的


_________________
开源、共享、自由

微信号:xfiles_sky

用手机点击这里有奇迹发生,其他无效


页首
 用户资料  
 
3 楼 
 文章标题 : Re: 安装sublime-text出错,ubuntu小白
帖子发表于 : 2017-12-29 8:11 
头像

注册: 2010-04-02 16:44
帖子: 530
系统: openSUSE 13.2 x64
送出感谢: 2
接收感谢: 11
楼上的红包发的猝不及防 :em05


_________________
正在建设中的个人博客


页首
 用户资料  
 
4 楼 
 文章标题 : Re: 安装sublime-text出错,ubuntu小白
帖子发表于 : 2017-12-29 8:24 
头像

注册: 2007-07-14 20:45
帖子: 1137
送出感谢: 60
接收感谢: 32
qgymib 写道:
楼上的红包发的猝不及防 :em05



你扫一扫吧 :em04 :em04


_________________
开源、共享、自由

微信号:xfiles_sky

用手机点击这里有奇迹发生,其他无效


页首
 用户资料  
 
5 楼 
 文章标题 : Re: 安装sublime-text出错,ubuntu小白
帖子发表于 : 2017-12-29 8:40 

注册: 2009-08-04 16:33
帖子: 16956
送出感谢: 21
接收感谢: 1836
引用:
正在读取软件包列表... 完成
N: 鉴于仓库 'http://mirrors.aliyun.com/ubuntu xenial InRelease' 不支持 'x86' 体系结构,跳过配置文件 'main/binary-x86/Packages' 的捕获。
... 以下省略

1. http://mirrors.aliyun.com/ubuntu/dists/xenial/套件庫/ 例如
1-1. http://mirrors.aliyun.com/ubuntu/dists/xenial/main/
沒有 binary-x86 子目錄

2. 對策
檢查 你的檔案
/etc/apt/sources.list
/etc/apt/sources.list.d/*.list
為何有 binary-x86 字串


页首
 用户资料  
 
6 楼 
 文章标题 : Re: 安装sublime-text出错,ubuntu小白
帖子发表于 : 2017-12-29 9:37 

注册: 2005-09-13 4:56
帖子: 1122
系统: Ubuntu QQ
送出感谢: 0 次
接收感谢: 47
sudo apt install apt-transport-https


_________________
添加ppa后只更新此ppa:
update-ppa()
{ sudo apt-get update -o Dir::Etc::sourcelist="sources.list.d/$1.list" -o Dir::Etc::sourceparts="-" -o APT::Get::List-Cleanup="0"
}
写入~/.bashrc,source一下,就可以直接用,是不是很方便?觉得方便就按个赞。


页首
 用户资料  
 
7 楼 
 文章标题 : Re: 安装sublime-text出错,ubuntu小白
帖子发表于 : 2017-12-29 14:53 

注册: 2017-12-29 1:12
帖子: 14
系统: linux
送出感谢: 1
接收感谢: 0 次
poloshiao 写道:
引用:
正在读取软件包列表... 完成
N: 鉴于仓库 'http://mirrors.aliyun.com/ubuntu xenial InRelease' 不支持 'x86' 体系结构,跳过配置文件 'main/binary-x86/Packages' 的捕获。
... 以下省略

1. http://mirrors.aliyun.com/ubuntu/dists/xenial/套件庫/ 例如
1-1. http://mirrors.aliyun.com/ubuntu/dists/xenial/main/
沒有 binary-x86 子目錄

2. 對策
檢查 你的檔案
/etc/apt/sources.list
/etc/apt/sources.list.d/*.list
為何有 binary-x86 字串


检查了各个list文件,都没找到binary-x86的字样 :Cry


页首
 用户资料  
 
8 楼 
 文章标题 : Re: 安装sublime-text出错,ubuntu小白
帖子发表于 : 2017-12-29 15:08 

注册: 2017-12-29 1:12
帖子: 14
系统: linux
送出感谢: 1
接收感谢: 0 次
九天星 写道:
引用:
获取:10 http://ppa.launchpad.net/webupd8team/su ... t-3/ubuntu xenial/main amd64 Packages [532 B]
获取:11 http://ppa.launchpad.net/webupd8team/su ... t-3/ubuntu xenial/main i386 Packages [532 B]
获取:12 http://ppa.launchpad.net/webupd8team/su ... t-3/ubuntu xenial/main Translation-en [276 B]
已下载 18.9 kB,耗时 10秒 (1,736 B/s)
正在读取软件包列表... 完成
N: 鉴于仓库 'http://mirrors.aliyun.com/ubuntu xenial InRelease' 不支持 'x86' 体系结构,跳过配置文件 'main/binary-x86/Packages' 的捕获。
N: 鉴于仓库 'http://mirrors.aliyun.com/ubuntu xenial InRelease' 不支持 'x86' 体系结构,跳过配置文件 'restricted/binary-x86/Packages' 的捕获。
N: 鉴于仓库 'http://mirrors.aliyun.com/ubuntu xenial InRelease' 不支持 'x86' 体系结构,跳过配置文件 'universe/binary-x86/Packages' 的捕获。
N: 鉴于仓库 'http://mirrors.aliyun.com/ubuntu xenial InRelease' 不支持 'x86' 体系结构,跳过配置文件 'multiverse/binary-x86/Packages' 的捕获。


看到这里我觉得很疑惑,不知道是你复制错了还是本身的问题?让人无法联系起来。

于是,我就在我的电脑上重新安装了一遍,过程如下:

提要:我的系统版本:ubuntu16.04.3LTS 架构:amd64 源:ubuntu中国官方源

第一步:添加密匙
代码:
sudo add-apt-repository ppa:webupd8team/sublime-text-3


第二步:
代码:
sudo apt-get update


第三步:
代码:
sudo apt-get install sublime-text


这是最后的安装结果
附件:
选区_233.png



如果你那边还是不行,你需要注意两个地方



附件:
406941848.jpg




一是源,你使用的阿里源,可能有更新不及时的问题。

二是安装命令,你最后多打了一个installer。

三是架构,我的是amd64,你的是不是i386位的


我的架构是amd64的
我在网上的教程就是installer,我不打的话它会提示我没有找到sublime-text这个安装包
源找的是最近的阿里源,刚才我去换成了清华大学的源,然后按你的教程打了,然后依旧是

wuzsh5@wuzsh5-X555UJ:/etc/apt/sources.list.d$ sudo apt-get install sublime-text
正在读取软件包列表... 完成
正在分析软件包的依赖关系树
正在读取状态信息... 完成
注意,选中 'sublime-text-installer' 而非 'sublime-text'
下列【新】软件包将被安装:
sublime-text-installer
升级了 0 个软件包,新安装了 1 个软件包,要卸载 0 个软件包,有 149 个软件包未被升级。
需要下载 0 B/9,566 B 的归档。
解压缩后会消耗 26.6 kB 的额外空间。
正在预设定软件包 ...
(正在读取数据库 ... 系统当前共安装有 226449 个文件和目录。)
正准备解包 .../sublime-text-installer_3126-2~webupd8~1_all.deb ...
Downloading...
--2017-12-29 14:54:53-- https://download.sublimetext.com/sublim ... 64.tar.bz2
正在解析主机 download.sublimetext.com (download.sublimetext.com)... 104.236.0.104
正在连接 download.sublimetext.com (download.sublimetext.com)|104.236.0.104|:443... 已连接。
无法建立 SSL 连接。
download failed
Download done.
Removing outdated cached downloads...
sha256sum mismatch sublime_text_3_build_3126_x64.tar.bz2
Sublime Text is NOT installed.
dpkg: 处理归档 /var/cache/apt/archives/sublime-text-installer_3126-2~webupd8~1_all.deb (--unpack)时出错:
子进程 新的 pre-installation 脚本 返回错误状态 1
在处理时有错误发生:
/var/cache/apt/archives/sublime-text-installer_3126-2~webupd8~1_all.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
wuzsh5@wuzsh5-X555UJ:/etc/apt/sources.list.d$


页首
 用户资料  
 
9 楼 
 文章标题 : Re: 安装sublime-text出错,ubuntu小白
帖子发表于 : 2017-12-29 15:25 

注册: 2009-08-04 16:33
帖子: 16956
送出感谢: 21
接收感谢: 1836
引用:
我在网上的教程就是installer,我不打的话它会提示我没有找到sublime-text这个安装包
源找的是最近的阿里源,刚才我去换成了清华大学的源,然后按你的教程打了,然后依旧是

1. Sublime Text 2
https://launchpad.net/~webupd8team/+arc ... ime-text-2
sudo add-apt-repository ppa:webupd8team/sublime-text-2
sudo apt-get update
sudo apt-get install sublime-text
sudo apt-get install sublime-text-dev

2. Sublime Text 3 Installer
https://launchpad.net/~webupd8team/+arc ... ime-text-3
sudo add-apt-repository ppa:webupd8team/sublime-text-3
sudo apt-get update
sudo apt-get install sublime-text-installer
引用:
刚才我去换成了清华大学的源

3. 還有 /binary-x86/ 的問題嗎 ?


页首
 用户资料  
 
10 楼 
 文章标题 : Re: 安装sublime-text出错,ubuntu小白
帖子发表于 : 2017-12-29 15:35 

注册: 2017-12-29 1:12
帖子: 14
系统: linux
送出感谢: 1
接收感谢: 0 次
poloshiao 写道:
引用:
我在网上的教程就是installer,我不打的话它会提示我没有找到sublime-text这个安装包
源找的是最近的阿里源,刚才我去换成了清华大学的源,然后按你的教程打了,然后依旧是

1. Sublime Text 2
https://launchpad.net/~webupd8team/+arc ... ime-text-2
sudo add-apt-repository ppa:webupd8team/sublime-text-2
sudo apt-get update
sudo apt-get install sublime-text
sudo apt-get install sublime-text-dev

2. Sublime Text 3 Installer
https://launchpad.net/~webupd8team/+arc ... ime-text-3
sudo add-apt-repository ppa:webupd8team/sublime-text-3
sudo apt-get update
sudo apt-get install sublime-text-installer
引用:
刚才我去换成了清华大学的源

3. 還有 /binary-x86/ 的問題嗎 ?


还有的,换了源依旧还有binary-86 :Noting


页首
 用户资料  
 
11 楼 
 文章标题 : Re: 安装sublime-text出错,ubuntu小白
帖子发表于 : 2017-12-29 16:38 

注册: 2009-08-04 16:33
帖子: 16956
送出感谢: 21
接收感谢: 1836
引用:
换了源依旧还有binary-86

1. 用 firefox 打開
http://paste.ubuntu.com
會出現空白 content 框

2. 把下面指令 複製 貼進終端機 執行
2-1. sudo cat /etc/apt/sources.list
2-2. sudo ls -al /var/lib/apt/lists/
2-3. 把上述指令及執行結果 全部直接 選取/複製 貼進去 content 框內
然後按下 paste
會回應 http://paste.ubuntu.com/xxxxxxx # xxxxxxx 是一組數字
http://paste.ubuntu.com/xxxxxxx 貼上來


页首
 用户资料  
 
12 楼 
 文章标题 : Re: 安装sublime-text出错,ubuntu小白
帖子发表于 : 2017-12-29 18:01 
头像

注册: 2007-07-14 20:45
帖子: 1137
送出感谢: 60
接收感谢: 32
更新一下openssl或者重装一下openssl


_________________
开源、共享、自由

微信号:xfiles_sky

用手机点击这里有奇迹发生,其他无效


页首
 用户资料  
 
13 楼 
 文章标题 : Re: 安装sublime-text出错,ubuntu小白
帖子发表于 : 2017-12-29 18:49 

注册: 2017-12-29 1:12
帖子: 14
系统: linux
送出感谢: 1
接收感谢: 0 次
poloshiao 写道:
引用:
换了源依旧还有binary-86

1. 用 firefox 打開
http://paste.ubuntu.com
會出現空白 content 框

2. 把下面指令 複製 貼進終端機 執行
2-1. sudo cat /etc/apt/sources.list
2-2. sudo ls -al /var/lib/apt/lists/
2-3. 把上述指令及執行結果 全部直接 選取/複製 貼進去 content 框內
然後按下 paste
會回應 http://paste.ubuntu.com/xxxxxxx # xxxxxxx 是一組數字
http://paste.ubuntu.com/xxxxxxx 貼上來


https://paste.ubuntu.com/26277339/


页首
 用户资料  
 
14 楼 
 文章标题 : Re: 安装sublime-text出错,ubuntu小白
帖子发表于 : 2017-12-29 21:07 

注册: 2017-12-29 1:12
帖子: 14
系统: linux
送出感谢: 1
接收感谢: 0 次
小草帽boy 写道:
poloshiao 写道:
引用:
换了源依旧还有binary-86

1. 用 firefox 打開
http://paste.ubuntu.com
會出現空白 content 框

2. 把下面指令 複製 貼進終端機 執行
2-1. sudo cat /etc/apt/sources.list
2-2. sudo ls -al /var/lib/apt/lists/
2-3. 把上述指令及執行結果 全部直接 選取/複製 貼進去 content 框內
然後按下 paste
會回應 http://paste.ubuntu.com/xxxxxxx # xxxxxxx 是一組數字
http://paste.ubuntu.com/xxxxxxx 貼上來


https://paste.ubuntu.com/26277339/


我已经去网上找了deb包安装完sublime了,但是sudo apt-get update之后都会有这个binary-x86出现,不知道怎么解决 :Cry


页首
 用户资料  
 
15 楼 
 文章标题 : Re: 安装sublime-text出错,ubuntu小白
帖子发表于 : 2017-12-29 21:26 

注册: 2009-08-04 16:33
帖子: 16956
送出感谢: 21
接收感谢: 1836
引用:
sudo ls -al /var/lib/apt/lists
-rw-r--r-- 1 root root 19900 12月 23 08:35 cn.archive.ubuntu.com_ubuntu_dists_xenial-backports_main_binary-amd64_Packages
-rw-r--r-- 1 root root 19871 12月 23 08:35 cn.archive.ubuntu.com_ubuntu_dists_xenial-backports_main_binary-i386_Packages

都是 binary-amd64 或 binary-i386
引用:
binary-x86

用 binary-x86 關鍵字 網路上搜尋
沒有找到有用的搜尋結果 ?


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 16 篇帖子 ]  前往页数 1, 2  下一页

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 1 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译